Name:		gnaughty
Version:	1.0.1
Release:	5
Group:		Applications/Internet
Summary:	frontend to movies section of sublimedirectory.com
URL:		http://gnaughty.sourceforge.net/
License:	proprietary
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
gnaughty is a gtk2 application to simplify downloading movies linked
to on sublimedirectory.com.

%prep
%setup -q -n %{name}-%{version}

%build
%configure
make 

%install
rm -rf %{buildroot}
/usr/bin/install -s -D -m 755 src/gnaughty %{buildroot}%{_prefix}/bin/gnaughty
/usr/bin/install -D -m 644 gnaughty.png %{buildroot}%{_prefix}/share/pixmaps/gnaughty.png
/usr/bin/install -D -m 644 gnaughty.desktop %{buildroot}%{_prefix}/share/gnome/apps/Internet/gnaughty.desktop
/usr/bin/install -D -m 644 gnaughty.schemas %{buildroot}/etc/gconf/schemas/gnaughty.schemas

%post
GCONF_CONFIG_SOURCE='' /usr/bin/gconftool-2 --makefile-install-rule /etc/gconf/schemas/gnaughty.schemas > /dev/null

%clean
rm -rf %{buildroot}

%files 
%defattr(0644,root,root,0755)
%attr(0755,root,root) %{_prefix}/bin/gnaughty
%attr(0644,root,root) %{_prefix}/share/pixmaps/gnaughty.png
%attr(0644,root,root) %{_prefix}/share/gnome/apps/Internet/gnaughty.desktop
%attr(0644,root,root) /etc/gconf/schemas/gnaughty.schemas


